SU(1)

NOM
su - Changer d'identifiant d'utilisateur ou devenir superutilisateur

SYNOPSIS

su [options] [LOGIN]

DESCRIPTION

Su permet de devenir un autre utilisateur pour la durée d'une session. Invoqué sans nom d'utilisateur, le comportement par défaut est de devenir superutilisateur. Le paramètre optionnel - permet d'obtenir un environnement similaire à celui que l'utilisateur aurait obtenu lors d'une connexion directe.

Des paramètres supplémentaires peuvent être fournis après le nom de l'utilisateur. Dans ce cas, ils sont donnés à l'interpréteur de commandes de connexion de l'utilisateur. En particulier, le paramètre « -c » considère que le paramètre suivant est une commande pour la plupart des interpréteurs de commandes. La commande sera exécutée par l'interpréteur indiqué dans /etc/passwd pour l'utilisateur cible.

Vous pouvez utiliser le paramètre -- pour séparer les options de su des paramètres fournis par l'interpréteur de commandes.

Un mot de passe sera demandé à l'utilisateur, si nécessaire. Les mots de passe incorrects produisent un message d'erreur. Toutes les tentatives, réussies ou non, sont enregistrées afin de détecter tout abus du système.

L'environnement actuel est fourni au nouvel interpréteur de commandes. La valeur de $PATH est réinitialisée à /bin:/usr/bin pour les utilisateurs normaux, ou à /sbin:/bin:/usr/sbin:/usr/bin pour le superutilisateur. Ce comportement peut être modifié avec les paramètres ENV_PATH et ENV_SUPATH de /etc/login.defs.

Une connexion à un sous-système est indiquée par la présence d'un « * » comme premier caractère de l'interpréteur de commandes initial. Le répertoire personnel sera utilisé comme racine d'un nouveau système de fichiers dans lequel l'utilisateur sera connecté.

OPTIONS

Les options applicables à la commande su sont :

-c, --commandINTERPRÉTEUR_COMMANDES
    Indiquer une commande qui sera invoquée par l'interpréteur de commandes en utilisant son option -c

-, -l, --login
    Fournir à l'utilisateur un environnement similaire à celui qu'il aurait obtenu s'il s'était connecté directement.

    Lorsque - est utilisé, il doit être indiqué comme dernier paramètre de su option. Les autres formes (-l et --login) ne présentent pas cette restriction.

-s, --shell INTERPRÉTEUR
    Interpréteur de commande devant être appelé.

    L'interpréteur de commandes est choisi parmi (celui de plus haute priorité en tête) :

    •   Interpréteur de commande indiqué par --shell

    •   Si --preserve-environment est utilisé, l'interpréteur de commandes indiqué par la variable d'environnement $SHELL sera utilisé.

    •   Interpréteur de commandes indiqué dans /etc/passwd pour l'utilisateur cible.

    •   /bin/sh si aucun interpréteur de commandes ne peut être trouvé par l'une des méthodes ci-dessus.

    Si l'utilisateur cible possède un interpréteur de commande restreint (par exemple, le champ de l'interpréteur de commande dans /etc/passwd n'est pas renseigné dans /etc/shell), alors, l'option --shell de la variable d'environnement $SHELL ne sera pas prise en compte à moins que su ne soit appelé par le superutilisateur.

-m, -p, --preserve-environment
    Préserver l'environnement actuel.

    Si l'utilisateur cible possède un interpréteur de commandes restreint, cette option n'a aucun effet (à moins que su ne soit appelé par le superutilisateur).

AVERTISSEMENTS

Cette version de su a de nombreuses options de compilation. Seules certaines d'entre elles peuvent avoir été activées sur votre site.

FICHIERS

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

VOIR AUSSI

login(1), login.defs(5), sh(1)